--
--	Daemonic Portal
--		Random daemon spawns in control of one of the players
--

local function OnStartTurn(characterIdx,turnNumber)

	local daemons = {"EIMP", "ESUC", "EBRG", "EHKN", "ECAB"};
	
	local player = GET_RANDOM_SYNC(0,1);
	local daemon = GET_RANDOM_SYNC(0, 5);
	if (player == 0) then
		ADD_STATUS_EFFECT(characterIdx, daemons[daemon]);
	else
		local enemyIdx = GET_ENEMY(characterIdx, 0);
		ADD_STATUS_EFFECT(enemyIdx, daemons[daemon]);
	end
	
	
	return;
end

--	
--		DECLARE TABLE	
--

DaemonicPortal = {
	OnStartTurn = OnStartTurn,
};

